package com.bocloud.ims.interfaces.resource.azure.network;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.params.azure.AzureRouterTableOperationParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.network.RouterTable;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RouterTableService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/5 10:12
 */
public interface RouterTableService {

    BocloudResult<GridBean<RouterTable>> list(Pager pager, RequestContext context);

    BocloudResult<RouterTable> detail(Long id, RequestContext context);

    //路由表相关操作
    BocloudResult<Void> operation(AzureRouterTableOperationParams params, RequestContext context);

    BocloudResult<Void> create(RouterTable params, RequestContext context);

    BocloudResult<Void> modify(RouterTable modifyEntity, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<Void> assign(AzureRouterTableOperationParams object, RequestContext context);

    BocloudResult<Void> batchAssign(AzureRouterTableOperationParams object, RequestContext context);
}